Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
definition
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "registry_lock_entries": [
    {
      "origin": "<string>",
      "version": "<string>",
      "label": "<string>"
    }
  ],
  "content": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+

Query Parameters

version
integer | null

Response

Successful Response

API response model for persisted workflow definitions.

id
string<uuid>
required
workflow_id
string | null
required
workspace_id
string<uuid>
required
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
registry_lock_entries
RegistryLockEntryRead · object[]
required
read-only

Registry lock origins with server-normalized display labels.

content
Content · object | null